# 🤖 Thread Bot - An assistant to keep order in the chat room

Thread Bot is a simple assistant designed to maintain order in your chat room. It automatically deletes non-thread posts from users with a permission level below 50, ensuring that only authorized users can post freely. The bot requires a permission level of 50+ to function.

---

## 📋 Commands

- `!thread_bot help` - Displays this help message.

---

## 🛠️ Functional

- **Automatic Post Deletion**: The bot automatically deletes non-trad posts from users with a permission level below 50.
- **Permission Level**: The bot requires a permission level of 50+ to operate.

---

## 🚀 Getting Started

### Prerequisites

- Docker (optional, if you want to use Docker)
- Python 3.x

### Installation

1. **Clone the Repository**

   ```bash
   git clone https://codeberg.org/D3M0N/thread-bot.git
   cd thread-bot
   ```

2. **Configure the Bot**

   Rename the example configuration file and edit it to suit your needs:

   ```bash
   mv example.config.toml config.toml
   ```

   Open `config.toml` and fill in the necessary details.

3. **Run the Bot**

   You can run the bot using Docker or directly with Python.

   - **Using Docker**:

     ```bash
     docker compose up -d
     ```

   - **Using Python**:

     ```bash
     python main.py
     ```

---

## ❓ Support

If you have any questions about the bot's operation, please contact the administrators.

---

## 📜 License

This project is licensed under the GPL v3.0 License - see the [LICENSE](LICENSE) file for details.

---

Enjoy using Thread Bot to keep your chat room organized! 🎉